// Copyright 2000-2019 JetBrains s.r.o. Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file.
package com.intellij.psi.impl.search

import com.intellij.model.search.SearchService
import com.intellij.psi.PsiReference
import com.intellij.psi.search.searches.ReferencesSearch
import com.intellij.util.Processor
import com.intellij.util.QueryExecutor
import org.jetbrains.annotations.ApiStatus.Internal

@Internal
class SearcherQueryExecutor : QueryExecutor<PsiReference, ReferencesSearch.SearchParameters> {

  override fun execute(queryParameters: ReferencesSearch.SearchParameters, consumer: Processor<in PsiReference>): Boolean {
    return SearchService.getInstance().searchParameters(queryParameters).forEach(consumer)
  }
}
